Page MenuHomePhabricator

Correct the old data present in translations table about status
Closed, ResolvedPublic1 Story Points

Description

As of today, we need to check 447 records with draft status(see https://test.wikipedia.org/wiki/Special:ContentTranslationStats says, ) was atleast once published or not.

They can be

  • Page was published in user namepance and then moved (or deleted)
  • Page was published in Main namespace
  • Page was published in Main namespace and deleted

If not published atleast once, remove the target_urls in those records

Event Timeline

santhosh created this task.Mar 11 2015, 9:29 AM
santhosh updated the task description. (Show Details)
santhosh raised the priority of this task from to Needs Triage.
santhosh added a subscriber: santhosh.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2015, 9:29 AM
santhosh moved this task from Backlog to discussing on the LE-Sprint-84 board.
santhosh updated the task description. (Show Details)
santhosh triaged this task as High priority.
santhosh assigned this task to Nikerabbit.
santhosh set Security to None.
santhosh updated the task description. (Show Details)Mar 13 2015, 8:36 AM

Change 196550 had a related patch set uploaded (by Nikerabbit):
Script to fix over counting of some draft translations as published

https://gerrit.wikimedia.org/r/196550

santhosh edited a custom field.Mar 17 2015, 10:02 AM

Change 196550 merged by jenkins-bot:
Script to fix over counting of some draft translations as published

https://gerrit.wikimedia.org/r/196550

Nikerabbit moved this task from In Review to Done on the LE-Sprint-84 board.Mar 20 2015, 6:37 AM
Nikerabbit closed this task as Resolved.Mar 24 2015, 6:13 AM